%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-id3
Version:        1.2
Release:        16%{?dist}
Summary:        ID3 tag library for Python

Group:          Development/Libraries
License:        GPLv2+
URL:            http://id3-py.sourceforge.net
Source:         http://dl.sourceforge.net/id3-py/id3-py_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
Provides:       id3-py = %{version}-%{release}
Obsoletes:      id3-py < 1.2-8

%description
This is a simple Python module for retrieving and setting so-called
ID3 tags on audio files through an object-oriented interface.  Players
generally use this simple information for display track title, artist
name, and album title while playing the sound file.


%prep
%setup -q -n id3-py-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
%{__install} -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -p -m 0644 id3-tagger.py $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/id3-tagger.py
iconv -f ISO-8859-1 -t UTF8 README -o README


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING README id3-tagger.py
%{python_sitelib}/ID3.py
%{python_sitelib}/ID3.pyc
%{python_sitelib}/ID3.pyo
%{python_sitelib}/*egg-info


%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2-13
- Rebuild for Python 2.6

* Sat Sep 06 2008 Michal Nowak <mnowak@redhat.com> - 1.2-12
- removed patch python-id3-setup-license.patch

* Sat Sep 06 2008 Michal Nowak <mnowak@redhat.com> - 1.2-11
- bundled sample app id3-tagger.py as a %%doc
- explicitly set %%defattr(0644,root,root,0755) because of id3-tagger.py 
  being executable
- installed EGG info + patch to include it's GPLv2+ license in proper field
- BuildRequires: python-setuptools-devel
- package conforms to https://fedoraproject.org/wiki/Packaging/Python/Eggs
- README is now UTF-8

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2-10
- fix license tag

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.2-9
- Rebuild with Python 2.5.
- BuildRequires: python-devel is now necessary for a successful build.

* Thu Aug 10 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.2-8
- Rename to python-id3.
- Remove no longer needed python-abi dependency.
- BuildRequire python instead of -devel.
- Ship *.pyo.

* Wed Mar 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2-7
- Rebuild with Python 2.4.

* Thu Dec 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-6
- Sync with Python spec template from fedora-rpmdevtools.
- Improve description.

* Wed Oct 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.5
- Fix Python version requirements.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.4
- Do %%ghost files manually.

* Mon Jul 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.3
- Use fedora-rpm-helper to find compiled %%ghost files.

* Sat Jul 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.2
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.1
- First build.
